<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
	<xs:element name="Immos">
		<xs:complexType>
			<xs:sequence>
				<xs:sequence maxOccurs="unbounded">
					<xs:element name="Immo">
						<xs:complexType>
							<xs:sequence>
								<xs:element name="Allgemeines">
									<xs:complexType>
										<xs:attribute name="ObjektartId" type="xs:integer" use="required"/>
										<xs:attribute name="ObjektartZusatz" type="xs:string" use="optional"/>
										<xs:attribute name="Zustand" type="xs:string" use="optional"/>
										<xs:attribute name="Status" type="xs:byte" use="required"/>
										<xs:attribute name="VMart" type="xs:byte" use="required"/>
										<xs:attribute name="Gesamtflaeche" type="xs:float" use="optional"/>
										<xs:attribute name="Wohnflaeche" type="xs:float" use="optional"/>
										<xs:attribute name="Grundstuecksflaeche" type="xs:float" use="optional"/>
										<xs:attribute name="Nutzflaeche" type="xs:float" use="optional"/>
										<xs:attribute name="AnzahlZimmer" type="xs:decimal" use="optional"/>
										<xs:attribute name="AnzahlSchlafzimmer" type="xs:integer" use="optional"/>
										<xs:attribute name="AnzahlBaeder" type="xs:integer" use="optional"/>
										<xs:attribute name="AnzahlEtagen" type="xs:integer" use="optional"/>
										<xs:attribute name="Baujahr" type="xs:string" use="optional"/>
										<xs:attribute name="FreiAb" type="xs:date" use="optional"/>
										<xs:attribute name="FreiAbText" type="xs:string" use="optional"/>
										<xs:attribute name="Nichtraucher" type="xs:boolean" use="optional"/>
										<xs:attribute name="Haustiere" type="xs:boolean" use="optional"/>
									</xs:complexType>
								</xs:element>
								<xs:element name="Adresse">
									<xs:complexType>
										<xs:attribute name="AnzeigenErlaubt" type="xs:boolean" use="required"/>
										<xs:attribute name="Strasse" type="xs:string" use="required"/>
										<xs:attribute name="Hausnummer" type="xs:string" use="required"/>
										<xs:attribute name="Postleitzahl" type="xs:string" use="required"/>
										<xs:attribute name="Ort" type="xs:string" use="required"/>
										<xs:attribute name="Ortsteil" type="xs:string" use="optional"/>
										<xs:attribute name="Landkreis" type="xs:string" use="optional"/>
										<xs:attribute name="Land" type="xs:string" use="optional"/>
									</xs:complexType>
								</xs:element>
								<xs:element name="Beschreibungen">
									<xs:complexType>
										<xs:sequence>
											<xs:element name="Objekt" type="xs:string"/>
											<xs:element name="Lage" type="xs:string"/>
											<xs:element name="Ausstattung" type="xs:string"/>
											<xs:element name="Sonstiges" type="xs:string"/>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
								<xs:element name="Innenausstattung">
									<xs:annotation>
										<xs:documentation>Wenn Felder nicht vorhanden automatisch false</xs:documentation>
									</xs:annotation>
									<xs:complexType>
										<xs:attribute name="Einbaukueche" type="xs:boolean" use="optional"/>
										<xs:attribute name="Moebliert" type="xs:boolean" use="optional"/>
										<xs:attribute name="Abstellraum" type="xs:boolean" use="optional"/>
										<xs:attribute name="GaesteWC" type="xs:boolean" use="optional"/>
										<xs:attribute name="Bad" type="xs:boolean" use="optional"/>
										<xs:attribute name="ParkettFliesen" type="xs:boolean" use="optional"/>
										<xs:attribute name="Kamin" type="xs:boolean" use="optional"/>
										<xs:attribute name="Balkon" type="xs:boolean" use="optional"/>
										<xs:attribute name="Terrasse" type="xs:boolean" use="optional"/>
										<xs:attribute name="Dachterrasse" type="xs:boolean" use="optional"/>
										<xs:attribute name="Wintergarten" type="xs:boolean" use="optional"/>
										<xs:attribute name="Fahrstuhl" type="xs:boolean" use="optional"/>
										<xs:attribute name="Kabelanschluss" type="xs:boolean" use="optional"/>
										<xs:attribute name="Satanschluss" type="xs:boolean" use="optional"/>
										<xs:attribute name="Speicher" type="xs:boolean" use="optional"/>
										<xs:attribute name="Keller" type="xs:boolean" use="optional"/>
										<xs:attribute name="Fahradkeller" type="xs:boolean" use="optional"/>
										<xs:attribute name="WaschTrockenraum" type="xs:boolean" use="optional"/>
										<xs:attribute name="Fussbodenheizung" type="xs:boolean" use="optional"/>
										<xs:attribute name="Garten" type="xs:boolean" use="optional"/>
										<xs:attribute name="Garage" type="xs:boolean" use="optional"/>
										<xs:attribute name="Stellplatz" type="xs:boolean" use="optional"/>
										<xs:attribute name="Carport" type="xs:boolean" use="optional"/>
										<xs:attribute name="Tiefgarage" type="xs:boolean" use="optional"/>
										<xs:attribute name="Schwimmbad" type="xs:boolean" use="optional"/>
										<xs:attribute name="Solaranlage" type="xs:boolean" use="optional"/>
									</xs:complexType>
								</xs:element>
								<xs:element name="Aussenanlage">
									<xs:annotation>
										<xs:documentation>Wenn Felder nicht vorhanden automatisch false</xs:documentation>
									</xs:annotation>
									<xs:complexType>
										<xs:attribute name="Garten" type="xs:boolean" use="optional"/>
										<xs:attribute name="Garage" type="xs:boolean" use="optional"/>
										<xs:attribute name="Stellplatz" type="xs:boolean" use="optional"/>
										<xs:attribute name="Carport" type="xs:boolean" use="optional"/>
										<xs:attribute name="Tiefgarage" type="xs:boolean" use="optional"/>
										<xs:attribute name="Schwimmbad" type="xs:boolean" use="optional"/>
										<xs:attribute name="Solaranlage" type="xs:boolean" use="optional"/>
									</xs:complexType>
								</xs:element>
								<xs:element name="Infrastruktur">
									<xs:annotation>
										<xs:documentation>Wenn Felder nicht vorhanden automatisch false</xs:documentation>
									</xs:annotation>
									<xs:complexType>
										<xs:attribute name="Kindergarten" type="xs:boolean" use="optional"/>
										<xs:attribute name="Grundschule" type="xs:boolean" use="optional"/>
										<xs:attribute name="WeiterfuehrendeSchule" type="xs:boolean" use="optional"/>
										<xs:attribute name="Einkaufen" type="xs:boolean" use="optional"/>
										<xs:attribute name="Bank" type="xs:boolean" use="optional"/>
										<xs:attribute name="Post" type="xs:boolean" use="optional"/>
										<xs:attribute name="Arzt" type="xs:boolean" use="optional"/>
										<xs:attribute name="OeffentlicheVerkehrsmittel" type="xs:boolean" use="optional"/>
									</xs:complexType>
								</xs:element>
								<xs:element name="Multimedia">
									<xs:complexType>
										<xs:choice maxOccurs="unbounded">
											<xs:element name="Bild" type="MultimediaObject" minOccurs="0"/>
											<xs:element name="Grundriss" type="MultimediaObject" minOccurs="0"/>
											<xs:element name="Link" type="MultimediaObject" minOccurs="0"/>
											<xs:element name="PDF" type="MultimediaObject" minOccurs="0"/>
											<xs:element name="PDFS" type="MultimediaObject" minOccurs="0"/>
											<xs:element name="PDFF" type="MultimediaObject" minOccurs="0"/>
											<xs:element name="PDFORT" type="MultimediaObject" minOccurs="0"/>
										</xs:choice>
									</xs:complexType>
								</xs:element>
								<xs:element name="Finanzielles">
									<xs:complexType>
										<xs:choice>
											<xs:element name="Kauf">
												<xs:complexType>
													<xs:attribute name="Kaufpreis" type="xs:decimal" use="required"/>
													<xs:attribute name="Beurkundeterpreis" type="xs:string" use="required"/>
												</xs:complexType>
											</xs:element>
											<xs:element name="Miet">
												<xs:complexType>
													<xs:attribute name="Kaltmiete" use="required"/>
													<xs:attribute name="Warmmiete" use="required"/>
													<xs:attribute name="Nebenkosten" use="required"/>
													<xs:attribute name="HeizkostenInWarmmiete" use="required"/>
													<xs:attribute name="Kaution" use="required"/>
													<xs:attribute name="MietpreisErgaenzung" use="required"/>
													<xs:attribute name="Maklerprovisionmieten" use="required"/>
													<xs:attribute name="StellplatzMietpreis" use="required"/>
												</xs:complexType>
											</xs:element>
										</xs:choice>
										<xs:attribute name="Waehrung" type="xs:string" use="required"/>
										<xs:attribute name="Provision"/>
									</xs:complexType>
								</xs:element>
								<xs:element name="Ansprechpartner">
									<xs:complexType>
										<xs:sequence>
											<xs:element name="Person">
												<xs:complexType>
													<xs:attribute name="Name" type="xs:string" use="required"/>
													<xs:attribute name="Email" type="xs:string" use="required"/>
													<xs:attribute name="Telefon" type="xs:string" use="required"/>
													<xs:attribute name="Handy" type="xs:string" use="required"/>
												</xs:complexType>
											</xs:element>
											<xs:element name="Firma">
												<xs:complexType>
													<xs:attribute name="Name" type="xs:string" use="required"/>
													<xs:attribute name="Email" type="xs:string" use="required"/>
													<xs:attribute name="Telefon" type="xs:string" use="required"/>
													<xs:attribute name="Handy" type="xs:string" use="required"/>
													<xs:attribute name="Fax" type="xs:string" use="required"/>
													<xs:attribute name="Strasse" type="xs:string" use="required"/>
													<xs:attribute name="Postleitzahl" type="xs:string" use="required"/>
													<xs:attribute name="Ort" type="xs:string" use="required"/>
													<xs:attribute name="Homepage" type="xs:string" use="optional"/>
												</xs:complexType>
											</xs:element>
										</xs:sequence>
									</xs:complexType>
								</xs:element>
							</xs:sequence>
							<xs:attribute name="Referenznummer" type="xs:string" use="required"/>
							<xs:attribute name="Titel" type="xs:string" use="required"/>
						</xs:complexType>
					</xs:element>
				</xs:sequence>
				<xs:element name="Objektarten">
					<xs:complexType>
						<xs:sequence maxOccurs="unbounded">
							<xs:element name="Objektart">
								<xs:complexType>
									<xs:attribute name="Id" type="xs:integer" use="required"/>
									<xs:attribute name="Name" type="xs:string" use="required"/>
									<xs:attribute name="Kurz" type="xs:string" use="required"/>
								</xs:complexType>
							</xs:element>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="MultimediaObject">
		<xs:attribute name="Url" type="xs:string" use="required"/>
		<xs:attribute name="Beschriftung" type="xs:string" use="optional"/>
		<xs:attribute name="Nr" type="xs:integer" use="optional"/>
	</xs:complexType>
</xs:schema>
